[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TLazarusResourceStream

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: lresources.pp line 82

`type TLazarusResourceStream = class(TCustomMemoryStream)`
`public`
`constructor Create();`
`constructor CreateFromID();`
`constructor CreateFromHandle(); overload;`
`destructor Destroy; override;`
`function Write(); override;`
`property Res: TLResource; [r]`
`end;`

## Inheritance

`TLazarusResourceStream`
`TCustomMemoryStream`
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.